"Fossies" - the Fresh Open Source Software Archive

Member "Atom/resources/app/apm/node_modules/asar-require/package.json" (8 Mar 2017, 3047 Bytes) of archive /windows/misc/atom-windows.zip:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) JSON source code syntax highlighting (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 {
    2   "_args": [
    3     [
    4       {
    5         "raw": "asar-require@0.3.0",
    6         "scope": null,
    7         "escapedName": "asar-require",
    8         "name": "asar-require",
    9         "rawSpec": "0.3.0",
   10         "spec": "0.3.0",
   11         "type": "version"
   12       },
   13       "C:\\projects\\atom\\apm\\node_modules\\atom-package-manager"
   14     ]
   15   ],
   16   "_from": "asar-require@0.3.0",
   17   "_id": "asar-require@0.3.0",
   18   "_inCache": true,
   19   "_installable": true,
   20   "_location": "/atom-package-manager/asar-require",
   21   "_nodeVersion": "4.3.1",
   22   "_npmOperationalInternal": {
   23     "host": "packages-12-west.internal.npmjs.com",
   24     "tmp": "tmp/asar-require-0.3.0.tgz_1470695969971_0.774781497893855"
   25   },
   26   "_npmUser": {
   27     "name": "nathansobo",
   28     "email": "nathan@github.com"
   29   },
   30   "_npmVersion": "3.10.5",
   31   "_phantomChildren": {},
   32   "_requested": {
   33     "raw": "asar-require@0.3.0",
   34     "scope": null,
   35     "escapedName": "asar-require",
   36     "name": "asar-require",
   37     "rawSpec": "0.3.0",
   38     "spec": "0.3.0",
   39     "type": "version"
   40   },
   41   "_requiredBy": [
   42     "/atom-package-manager"
   43   ],
   44   "_resolved": "https://registry.npmjs.org/asar-require/-/asar-require-0.3.0.tgz",
   45   "_shasum": "47e4cb4414894ad8699536cd0c58c0c92151b45b",
   46   "_shrinkwrap": null,
   47   "_spec": "asar-require@0.3.0",
   48   "_where": "C:\\projects\\atom\\apm\\node_modules\\atom-package-manager",
   49   "bugs": {
   50     "url": "https://github.com/electron/asar-require/issues"
   51   },
   52   "dependencies": {
   53     "asar": "0.12.1"
   54   },
   55   "description": "Enable 'require' asar packages",
   56   "devDependencies": {
   57     "coffee-script": "^1.8.0",
   58     "grunt": "~0.4.1",
   59     "grunt-cli": "~0.1.8",
   60     "grunt-coffeelint": "0.0.6",
   61     "grunt-contrib-coffee": "~0.12.0"
   62   },
   63   "directories": {},
   64   "dist": {
   65     "shasum": "47e4cb4414894ad8699536cd0c58c0c92151b45b",
   66     "tarball": "https://registry.npmjs.org/asar-require/-/asar-require-0.3.0.tgz"
   67   },
   68   "gitHead": "f118801bbe2c913b2d2e388c72d67cd01b563d70",
   69   "homepage": "https://github.com/electron/asar-require",
   70   "licenses": [
   71     {
   72       "type": "MIT",
   73       "url": "http://github.com/electron/asar-require/raw/master/LICENSE"
   74     }
   75   ],
   76   "main": "./lib/require.js",
   77   "maintainers": [
   78     {
   79       "name": "as-cii",
   80       "email": "as-cii@github.com"
   81     },
   82     {
   83       "name": "atom",
   84       "email": "nathan@github.com"
   85     },
   86     {
   87       "name": "jlord",
   88       "email": "to.jlord@gmail.com"
   89     },
   90     {
   91       "name": "kevinsawicki",
   92       "email": "kevinsawicki@gmail.com"
   93     },
   94     {
   95       "name": "maxbrunsfeld",
   96       "email": "maxbrunsfeld@gmail.com"
   97     },
   98     {
   99       "name": "nathansobo",
  100       "email": "nathan@github.com"
  101     },
  102     {
  103       "name": "zcbenz",
  104       "email": "zcbenz@gmail.com"
  105     },
  106     {
  107       "name": "zeke",
  108       "email": "zeke@sikelianos.com"
  109     }
  110   ],
  111   "name": "asar-require",
  112   "optionalDependencies": {},
  113   "readme": "ERROR: No README data found!",
  114   "repository": {
  115     "type": "git",
  116     "url": "git+https://github.com/electron/asar-require.git"
  117   },
  118   "scripts": {
  119     "prepublish": "grunt prepublish"
  120   },
  121   "version": "0.3.0"
  122 }